org.osgi.service.remoteserviceadmin

## Interface ImportReference

All Known Implementing Classes:
  RemoteServiceAdmin.ImportReference

    @ProviderType
    public interface ImportReference

An Import Reference associates an active proxy service to a remote endpoint. The Import Reference can be used to reference an imported service. When the service is no longer imported, all methods must return `null`.

### Method Summary

All Methods Instance Methods Abstract Methods
`EndpointDescription` `getImportedEndpoint()` Return the Endpoint Description for the remote endpoint.
`ServiceReference<?>` `getImportedService()` Return the Service Reference for the proxy for the endpoint.

### Method Detail

#### getImportedService

    ServiceReference<?> getImportedService()

Return the Service Reference for the proxy for the endpoint.

Returns:
  The Service Reference to the proxy for the endpoint. Must be `null` when the service is no longer imported.

#### getImportedEndpoint

    EndpointDescription getImportedEndpoint()

Return the Endpoint Description for the remote endpoint.

Returns:
  The Endpoint Description for the remote endpoint. Must be `null` when the service is no longer imported.